"use strict";

const inputPhone = document.querySelector("#tel");
const checkboxForm = document.querySelector("#checkbox");
const butForm = document.querySelector("#btnForm");
const errorTel = document.querySelector(".error_tel");
inputPhone.addEventListener("input", onInputTel);

butForm.disabled = true;
let checkedValue = false;

checkboxForm.addEventListener("change", function () {
  if (this.checked) {
    checkedValue = true;
  } else {
    checkedValue = false;
  }
  checkDisabledForm();
});

function isValidatePhoneNumber(phone) {
  return /^\+?[1-9][0-9]{7,14}$/.test(phone);
}

function onInputTel() {
  if (!inputPhone.value) {
    errorTel.style.opacity = "0";
  } else {
    if (isValidatePhoneNumber(inputPhone.value)) {
      errorTel.style.opacity = "0";
    } else {
      errorTel.style.opacity = "1";
    }
  }
  checkDisabledForm();
}

function checkDisabledForm() {
  if (
   
    !inputPhone.value ||
    !isValidatePhoneNumber(inputPhone.value) ||
    !checkedValue
  ) {
    butForm.disabled = true;
  } else {
    butForm.disabled = false;
  }
}

const details = document.querySelectorAll('details');

details.forEach(item => {
  item.addEventListener('click', (e) => {
    e.preventDefault();
    const openItem = document.querySelector('details[open]');

    if (openItem) openItem.open = false;
    if (openItem !== item) item.open = true 
  })
})

const btnMore = document.querySelector('#btn_more');
const btnLess = document.querySelector('#btn_less');
const details2 = document.querySelector('.container_faq2');


btnLess.addEventListener('click', function(){
  details2.style.display = 'none';
  this.style.display  = 'none';
  btnMore.style.display = 'block';
})

btnMore.addEventListener('click', function(){
  details2.style.display = 'flex';
  this.style.display  = 'none';
  btnLess.style.display = 'block';
})